### Method

# St ThemeNode get_color

#### Declaration [src]

    void
    st_theme_node_get_color (
      StThemeNode* node,
      const char* property_name,
      ClutterColor* color
    )

#### Description [src]

Generically looks up a property containing a single color value. When specific getters (like st_theme_node_get_background_color()) exist, they should be used instead. They are cached, so more efficient, and have handling for shortcut properties and other details of CSS.

If `property_name` is not found, a warning will be logged and a default color returned.

See also st_theme_node_lookup_color(), which provides more options, and lets you handle the case where the theme does not specify the indicated color.

#### Parameters

`property_name`

  Type: `const char*`

  The name of the color property.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`color`

  Type: `ClutterColor`

  Location to store the color that was determined.

  The argument will be set by the function.
  The returned data is owned by the instance.